<?php

$course = function()
{
    return Dever::db('course/info')->state();
};

$teacher = function()
{
    return Dever::db('teacher/info')->state();
};

$code = function()
{
    return Dever::db('code/info')->state();
};

$status = array
(
	1 => '认证中',
	2 => '已认证',
	3 => '认证失败',
);

return array
(
	# 表名
	'name' => 'course',
	# 显示给用户看的名称
	'lang' => '讲师认证课程',
	'order' => 90,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),
		
		'teacher_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '讲师名称',
			'default' 	=> '',
			'desc' 		=> '讲师名称',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $teacher,
			'list'		=> true,
			'search'	=> 'select',
		),

		'course_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '课程名称',
			'default' 	=> '',
			'desc' 		=> '课程名称',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $course,
			'list'		=> true,
			'search'	=> 'select',
		),

		'code_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '认证码',
			'default' 	=> '',
			'desc' 		=> '认证码',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $code,
			'list'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-11',
			'name' 		=> '认证状态',
			'default' 	=> '',
			'desc' 		=> '认证状态',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $status,
			'search'	=> 'select',
			'list'		=> true,
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),
	
	# 管理功能
	'manage' => array
	(
		
	),

	# request 请求接口定义
	'request' => array
	(
		
	),
);
