<?php

return array
(
	# 表名
	'name' => 'config',
	# 显示给用户看的名称
	'lang' => '新增认证码',
	'order' => 1,
	'menu' => false,
	'end' => array
	(
		'update' => 'code/lib/manage.create',
		'insert' => 'code/lib/manage.create',
	),
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '系统ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'value'		=> Dever::input('where_id'),
		),

		'product'     => array
        (
            'type'      => 'varchar-200',
            'name'      => '选择课程',
            'default'   => '',
            'desc'      => '选择课程',
            'search'	=> 'linkage',
			'update'	=> 'linkage',//多级联动 用于搜索
			'option'	=> Dever::url('lib/manage.search_cate_course', 'course'),
        ),
		
		'product_id'     => array
        (
            'type'      => 'int-11',
            'name'      => '选择课程',
            'default'   => '',
            'desc'      => '选择课程',
            'match'     => 'option',
            //'update'    => 'select',
            //'update_search' => 'journal/lib/manage.search_journal',
        ),
		
		'num'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '认证码数量',
			'default' 	=> '',
			'desc' 		=> '认证码数量',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'value'		=> '',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
