<?php

$ios_pay = array
(
	1 => '关闭小程序支付',
	2 => '开启公众号支付',
	3 => '开启小程序支付',
);

$video = array
(
	1 => '显示',
	2 => '不显示',
);

return array
(
	# 表名
	'name' => 'config',
	# 显示给用户看的名称
	'lang' => '基本配置',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '系统ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'hr1'		=> array
		(
			'name' 		=> '通用设置',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '系统名称',
			'default' 	=> '',
			'desc' 		=> '请输入系统名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),
		
		'info'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '系统介绍',
			'default' 	=> '',
			'desc' 		=> '请输入系统介绍',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'logo'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> 'logo图片',
			'default' 	=> '',
			'desc' 		=> 'logo图片',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'hr2'		=> array
		(
			'name' 		=> '课程相关',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),

		'server'		=> array
		(
			'type' 		=> 'text-800',
			'name' 		=> '上门服务介绍',
			'default' 	=> '',
			'desc' 		=> '上门服务介绍',
			'match' 	=> 'option',
			'update'	=> 'editor',
			'key'		=> '1',
		),

		'bonus'		=> array
		(
			'type' 		=> 'text-800',
			'name' 		=> '绩效规则介绍',
			'default' 	=> '',
			'desc' 		=> '绩效规则介绍',
			'match' 	=> 'option',
			'update'	=> 'editor',
			'key'		=> '1',
		),

		'deposit'		=> array
		(
			'type' 		=> 'text-800',
			'name' 		=> '押金说明',
			'default' 	=> '',
			'desc' 		=> '押金说明',
			'match' 	=> 'option',
			'update'	=> 'editor',
			'key'		=> '1',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'default' => array
	(
		'col' => 'name,info,cdate',
		'value' => array
		(
			'"赛课系统","赛课系统",' . time(),
		),
	),

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
